Bug 812663 - [abrt] ArpON-2.7-1.fc17: __pthread_kill: Process /usr/sbin/arpon was killed by signal 11 (SIGSEGV)
[abrt] ArpON-2.7-1.fc17: __pthread_kill: Process /usr/sbin/arpon was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ArpON (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Arun S A G
Fedora Extras Quality Assurance
abrt_hash:7abe83afd8008e3c60a1ce06298...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 15:41 EDT by S Mac Aodha
Modified: 2013-08-01 06:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.30 KB, text/plain)
2012-04-15 15:41 EDT, S Mac Aodha
no flags Details

  None (edit)
Description S Mac Aodha 2012-04-15 15:41:30 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        arpon -H
crash_function: __pthread_kill
executable:     /usr/sbin/arpon
kernel:         3.3.0-8.fc17.x86_64
pid:            19002
pwd:            /home/sean
remote_result:  NOTFOUND
time:           Sat 07 Apr 2012 03:53:08 PM IST
uid:            0
username:       root

backtrace:      Text file, 10544 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sean/13

core_backtrace:
:9af33edde528c64869abfcce919051d5b15848d9 0xc5e0 pthread_kill libpthread.so.0 -
:8732a69d3b341b2b4e87c8b05466444b9a56c0b7 0x977c _start [exe] -

dso_list:
:/usr/lib64/libnet.so.1.6.0 libnet-1.1.5-3.fc17.x86_64 (Fedora Project) 1333126713
:/usr/lib64/libdnet.so.1.0.1 libdnet-1.12-8.fc17.x86_64 (Fedora Project) 1333126713
:/usr/lib64/libpcap.so.1.2.1 libpcap-14:1.2.1-2.fc17.x86_64 (Fedora Project) 1332968076
:/usr/lib64/libc-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332973615
:/usr/lib64/ld-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332973615
:/usr/sbin/arpon ArpON-2.7-1.fc17.x86_64 (Fedora Project) 1333126714
:/usr/lib64/libpthread-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332973615

environ:
:HOSTNAME=acer-as5552
:TERM=xterm
:HISTSIZE=1000
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:USERNAME=sean
:MAIL=/var/spool/mail/sean
:LANG=en_US.utf8
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-sean-fYKOjH/database
:SHELL=/bin/bash
:LOGNAME=root
:USER=root
:PATH=/sbin:/bin:/usr/sbin:/usr/bin
:HOME=/home/root
:'SUDO_COMMAND=/sbin/arpon -H'
:SUDO_USER=sean
:SUDO_UID=1000
:SUDO_GID=1000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 unlimited            processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       21888                21888                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-0040d000 r-xp 00000000 08:02 1981832                            /usr/sbin/arpon
:0060d000-0060f000 rw-p 0000d000 08:02 1981832                            /usr/sbin/arpon
:010fc000-0111d000 rw-p 00000000 00:00 0                                  [heap]
:3182e00000-3182e20000 r-xp 00000000 08:02 1967192                        /usr/lib64/ld-2.15.so
:318301f000-3183020000 r--p 0001f000 08:02 1967192                        /usr/lib64/ld-2.15.so
:3183020000-3183021000 rw-p 00020000 08:02 1967192                        /usr/lib64/ld-2.15.so
:3183021000-3183022000 rw-p 00000000 00:00 0 
:3183600000-31837ac000 r-xp 00000000 08:02 1967199                        /usr/lib64/libc-2.15.so
:31837ac000-31839ac000 ---p 001ac000 08:02 1967199                        /usr/lib64/libc-2.15.so
:31839ac000-31839b0000 r--p 001ac000 08:02 1967199                        /usr/lib64/libc-2.15.so
:31839b0000-31839b2000 rw-p 001b0000 08:02 1967199                        /usr/lib64/libc-2.15.so
:31839b2000-31839b7000 rw-p 00000000 00:00 0 
:3183e00000-3183e16000 r-xp 00000000 08:02 1967203                        /usr/lib64/libpthread-2.15.so
:3183e16000-3184016000 ---p 00016000 08:02 1967203                        /usr/lib64/libpthread-2.15.so
:3184016000-3184017000 r--p 00016000 08:02 1967203                        /usr/lib64/libpthread-2.15.so
:3184017000-3184018000 rw-p 00017000 08:02 1967203                        /usr/lib64/libpthread-2.15.so
:3184018000-318401c000 rw-p 00000000 00:00 0 
:3194600000-319463b000 r-xp 00000000 08:02 1991386                        /usr/lib64/libpcap.so.1.2.1
:319463b000-319483a000 ---p 0003b000 08:02 1991386                        /usr/lib64/libpcap.so.1.2.1
:319483a000-319483c000 r--p 0003a000 08:02 1991386                        /usr/lib64/libpcap.so.1.2.1
:319483c000-319483d000 rw-p 0003c000 08:02 1991386                        /usr/lib64/libpcap.so.1.2.1
:319483d000-319483e000 rw-p 00000000 00:00 0 
:3430a00000-3430a0d000 r-xp 00000000 08:02 1978268                        /usr/lib64/libdnet.so.1.0.1
:3430a0d000-3430c0c000 ---p 0000d000 08:02 1978268                        /usr/lib64/libdnet.so.1.0.1
:3430c0c000-3430c0e000 r--p 0000c000 08:02 1978268                        /usr/lib64/libdnet.so.1.0.1
:3430c0e000-3430c0f000 rw-p 0000e000 08:02 1978268                        /usr/lib64/libdnet.so.1.0.1
:3430c0f000-3430c11000 rw-p 00000000 00:00 0 
:3430e00000-3430e16000 r-xp 00000000 08:02 1977327                        /usr/lib64/libnet.so.1.6.0
:3430e16000-3431015000 ---p 00016000 08:02 1977327                        /usr/lib64/libnet.so.1.6.0
:3431015000-3431016000 r--p 00015000 08:02 1977327                        /usr/lib64/libnet.so.1.6.0
:3431016000-3431017000 rw-p 00016000 08:02 1977327                        /usr/lib64/libnet.so.1.6.0
:3431017000-3431019000 rw-p 00000000 00:00 0 
:7f26c4000000-7f26c4022000 rw-p 00000000 00:00 0 
:7f26c4022000-7f26c8000000 ---p 00000000 00:00 0 
:7f26cae64000-7f26cb258000 rw-s 00000000 00:06 4458458                    socket:[4458458]
:7f26cb258000-7f26cb259000 ---p 00000000 00:00 0 
:7f26cb259000-7f26cba59000 rw-p 00000000 00:00 0 
:7f26cba59000-7f26cba5a000 ---p 00000000 00:00 0 
:7f26cba5a000-7f26cc25e000 rw-p 00000000 00:00 0 
:7f26cc276000-7f26cc278000 rw-p 00000000 00:00 0 
:7fff3057f000-7fff305a0000 rw-p 00000000 00:00 0                          [stack]
:7fff305d4000-7fff305d5000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/dev/pts/0 (deleted)
:pos:	0
:flags:	0100002
:1:/dev/pts/0 (deleted)
:pos:	0
:flags:	0100002
:2:/dev/pts/0 (deleted)
:pos:	0
:flags:	0100002
:3:socket:[4458458]
:pos:	0
:flags:	02

var_log_messages:
:Apr  7 15:50:03 acer-as5552 kernel: [31988.096690] arpon uses obsolete (PF_INET,SOCK_PACKET)
:Apr  7 15:53:08 acer-as5552 kernel: [32172.490705] arpon[19004]: segfault at 2d0 ip 0000003183e0c5e0 sp 00007f26cba57e48 error 4 in libpthread-2.15.so[3183e00000+16000]
:Apr  7 15:53:08 acer-as5552 abrt[19241]: Saved core dump of pid 19002 (/usr/sbin/arpon) to /var/spool/abrt/ccpp-2012-04-07-15:53:08-19002 (17391616 bytes)
Comment 1 S Mac Aodha 2012-04-15 15:41:52 EDT
Created attachment 577580 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-07-03 23:16:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 06:39:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.